#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Accessor
Summary:	Class::Accessor - automated accessor generation
Summary(pl):	Class::Accessor - automatyczne generowanie skadowych accessor
Name:		perl-Class-Accessor
Version:	0.27
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3bffcb3af5b47daa71be385beea6182f
URL:		http://search.cpan.org/dist/Class-Accessor/
Patch0:		%{name}-require.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module automatically generates accessor/mutators for your class.

%description -l pl
Ten modu automatycznie generuje skadniki accessor/mutator dla klas.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%changelog
* Wed Nov 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Accessor.git;a=log;h=AC-branch

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5e00596
- cleanup files after patching, rel 2

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> f5ee82d
- 0.27, generic URL, corrected License

* Fri Nov 18 2005 migo <migo@pld-linux.org> 3b5c5b9
- up to 0.22

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 76c719f
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> f793d8e
- unfold macros in %summary

* Sat Jun 05 2004 radek <radek@pld-linux.org> ee1b782
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7b694b0
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 35161c6
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 648827a
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 01262a4
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 4606433
- license fixes and unification

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> dc64bae
- updated to 0.19

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a4d9755
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0092862
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 10036f5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> df4d170
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> aa53dda
- BR: perl-devel; do not BR: perl

* Fri Apr 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 9402fbd
- merge from RA-branch: up to 0.18, tests on bcond
- release 2

* Sat Mar 01 2003 radek <radek@pld-linux.org> 55f3962
- should be ready for perl-5.8.0; release++

* Fri Feb 28 2003 trojan <trojan@pld-linux.org> f65a2c9
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

